.product-container {

	.shopping-list & {
		background-color: $product-background;
    margin-top: 10px;
    margin-bottom: 10px;
    display: grid;
    grid-template-columns: 0.3fr 0.8fr 1.5fr 1fr 1fr 1fr;
    align-items: center;
		@include xs {
			grid-template-columns: 0.3fr 1fr 3fr;
			grid-template-rows: 1.1fr 0.8fr 1.1fr;
		}
	}

	.cart-container & {
		display: flex;
    padding: 20px 0px;
    margin: 0px 15px;
    border-bottom: 0.5px solid #dadadaa8;
    border-top: 0.5 solid #dadadaa8;
    box-sizing: border-box;
	}

	.layout-grid & {
		width: calc(100%/3);
		@include align(center, center, row);
	}
	.layout-list & {
		width: 100%;
		display: flex;
	}

	@include md {
		.layout-grid & {
			width: 50%;
		}
	}

	@include sm {
		.layout-grid & {
			width: 100%;
		}
	}
}

.product-info {
	.shopping-list & {
		@include xs {
			margin-top: 6px;
		}
	}
	.cart-container & {
		width: 100%;
		@include align(flex-start, space-evenly, column);

		div {
			@include align(center, space-between, row);
			width: 100%;
		}
	}

	.layout-grid & {
		@include align(center, center, column);
		text-align: center;
	}

	.layout-list & {
		width: 100%;
		@include align(flex-start, center, column);
		@media (max-width: 442px) {
			align-items: center;
		}
	}
}

.product-card {
	.layout-grid & {
		width: 100%;
		@include align(center, center, column);
		@include card-hover;
		@include animation;
		margin: 15px;
		&:hover {
			.product-rating {
				opacity: 0;
			}
		} 
	}

	.layout-list & {
		display: flex;
		margin: 15px 30px;
		width: 100%;
		gap: 12px;
		@media (max-width: 442px) {
			flex-direction: column;
			align-items: center;
		}
	}
}

.product-img {
	@include align(center, center, row);

	img {
		opacity: 0.3;
	}

	.shopping-list & {
		@include xs {
			grid-row: span 3;
			margin-right: 7px;
		}
		img {
			height: 100px;
			width: 110px;
			opacity: 20%;
			@include md {
				width: 74px;
				height: 74px;
			}	
		}
	}

	.cart-container & {
		margin-right: 6px;
		img {
			height: 80px;
			width: 80px;
		}
	}

	.layout-grid & {
		overflow: hidden;
		height: 200px;
    max-height: 200px;
    width: 100%;

		img {
			height: 170px;
      width: 170px;
		}
	}

	.layout-list & {
		overflow: hidden;
		@include card-hover;
		@include animation;
    @include height(275, 275);
		@include width(275, 275);
	}

	@include md {
		.layout-list & {
			@include width(220, 220);
			@include height(220, 220);
		}
	}

	@include sm {
		.layout-list & {
			@include width(260, 260);
			@include height(260, 260);
		}
	}

	@include xs {
		.layout-list & {
			@include width(190, 190);
			@include height(190, 190);
		}
	}
}

.product-name {
	color: $text-dark2;
	font-weight: $w-normal;
	@include link;

	.shopping-list & {
		margin: 0;
		text-transform: none;
		font-size: 14px;
		@include f-title(normal);
		margin-bottom: 6px;
		@include md {
			font-size: 12px;
		}
		@include xs {
			margin-bottom: 0;
		}
	}	

	.cart-container & {
		font-size: 13px;
		@include f-title(normal);
	}

	.layout-grid & {
		font-size: 13px;
		margin-top: 35px;
		@include f-title(style);
	}

	.layout-list & {
		font-size: 16px;
    margin-top: 5px;
    margin-bottom: 10px;
		@include f-title(style);
	}

	@include md {
		.layout-list & {
			font-size: 13px;
		}
	}
}

.product-details {
	color: $text-light3;
	font-weight: $w-normal;

	.shopping-list & {
		margin-top: 5px;
		font-size: 13px;
		@include f-subtitle(style);
		@include md {
			font-size: 11px;
		}
	}
	
	.cart-container & {
		@include f-title(normal);
		font-size: 12px;
	}

	.layout-grid & {
		@include f-subtitle(style);
		font-size: 13px;
    margin-top: 7px;
	}

	.layout-list & {
		@include f-subtitle(style);
		font-size: 12px;
	}
}

.product-description {
	.layout-grid & {
		display: none;
	}

	.layout-list & {
		@include f-subtitle(style);
		color: $text-light2;
		font-size: 16px;
		line-height: 24px;
		padding-top: 15px;
		border-top: 1px solid $light-grey;
	}

	@include md {
		.layout-list & {
			display: none;
		}
	}
}

.product-price {
	.p-price {
		@include f-title(normal);
		color: $text-dark1;
		font-weight: $w-bold;
	}

	.p-former-price {
		@include former;
		color: $text-light1;
		@include f-title(normal);
	}

	.shopping-list & {
		@include align(center, center, column);
		.p-former-price {
			font-size: 14px;
			line-height: 22px;
		}
		@include xs {
			display: none;
		}

		.p-price {
			font-size: 16px;
			line-height: 24px;
		}
	}

	.cart-container & {
		@include f-title(normal);
		font-weight: $w-normal;
		font-size: 14px;
	}

	.layout-grid & {
		@include align(center, center, column);
		font-size: 17px;
		min-height: 39px;
    margin: 13px 0px 15px;
	}

	.layout-list & {
		@include align(start, center, column);
		margin-top: 55px;
		margin-bottom: 30px;
		max-height: 27px;
		gap: 5px;

		.p-price {
			font-size: 24px;
		}
		.p-former-price {
			font-size: 20px;
		}
	}

	@include md {
		.layout-list & {
			margin-bottom: 6px;
		}
	}
}

.product-rating {
	font-size: 13px;
	display: flex;
	gap: 6px;
	font-weight: $w-bold;

	.filled {
		color: $main-pink;
	}

	.unfilled {
		color: $text-dark1;
	}

	.layout-grid & {
		@include sticker(none, 0, '.product-info');
	}

	.layout-list & {
		@include sticker(none, 58, '.product-info');
	}

	@include sm {
		.layout-list & {
			top: 80px;
		}
	}

	@include xs {
		.layout-list & {
			top: 55px;
		}
	}
}

.product-add {
	@include f-title(style);
	border: 2px solid #7b7b7b;
	border-radius: 20px;
	padding: 9px 16px;
	font-weight: $w-bold;
	color: $text-dark1;

	&:hover {
	border: 2px solid #c92c61;
	color:#c92c61;
	}

	.layout-list & {
		margin-top: 25px;
    margin-bottom: 10px;
    width: 145px;
	}

	.layout-grid & {
		margin-bottom: 15px;
	}
}

.discount-bubble {
	@include f-title(normal);
	@include sticker(-4, 15, '.product-card');
	@include align(center, center, row);
	z-index: 1;
	border-radius: 0px 4px 4px 0px;
	color: white;
	background-color: $main-pink;
	height: 22px;
	width: 60px;
	font-size: 12px;
	font-weight: $w-bold;
}

.remove-product {
	@include sticker(260, 4, '.product-container');
	border: none;
	background-color: transparent;
	font-size: 18px;
	cursor: pointer;
	color: $text-light3;
	&:hover {
		color: $text-light2;
	}
}

.product-total-price {
	font-size: 17px;
	color: $text-dark2;
	font-weight: $w-bold;
	@include align(center, center, row);
	@include f-title(normal);
	@include xs {
		justify-content: flex-start;
	}
}

.product-quantity {
	@include align(center, center, row);
	@include f-title(normal);
	gap: 10px;
	color: $text-light2;
 	
	button {
		border-radius: 50%;
		height: 30px;
		width: 30px;
		font-size: 20px;
		background-color: $light-grey;
		color: $text-light2;
	}
	@include xs {
		justify-content: flex-start;
		gap: 8px;
		font-size: 11px;
		button {
			height: 22px;
			width: 22px;
			font-size: 16px;
	}}
}

.remove-checkout {
	height: 18px;
	width: 18px;
	@include align(center, center, row);
	font-size: 14px;
	color: $text-light3;
	margin-left: 20px;
	&:hover {
	color:#6f6f6f;
	}
	@include md {
		margin-left: 8px;
	}
	@include xs {
		grid-row: span 3;
	}
}

.filled {
	color: $main-pink;
}

.unfilled {
	color: $text-dark1;
}